package cn.ibizhub.demo.demo.service.impl;

import cn.ibizhub.demo.demo.domain.ONEET;
import cn.ibizhub.demo.demo.service.ONEETService;
import cn.ibizhub.demo.demo.dao.ONEETDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 实体[ONEET] 服务对象接口实现
 */
@Service
public class ONEETServiceImpl implements ONEETService{

    @Autowired
    private ONEETDao oneetdao;

    public void addONEET (ONEET oneet){
        oneetdao.save(oneet);
    }
    public void deleteONEET (ONEET oneet){
        oneetdao.delete(oneet);
    }
    public void updateONEET (ONEET oneet){
        oneetdao.save(oneet);
    }
    public List<ONEET> selectONEETall (){
        return oneetdao.findAll();
    }
    public ONEET selectONEET (String id){
        return oneetdao.findById(id).get();
    }

    public List<ONEET> findByOneetnameContaining(String param){
        return oneetdao.findByOneetnameContaining(param);
    }


}